This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1275704 - force libreswan to set a maxbytes of 2^32 for 3DES IPsec SA's [NEEDINFO]
force libreswan to set a maxbytes of 2^32 for 3DES IPsec SA's
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreswan (Show other bugs)
7.3
All Linux
high Severity high
: rc
: ---
Assigned To: Paul Wouters
Jaroslav Aster
:
Depends On:
Blocks: 1367501 1472753
  Show dependency treegraph
 
Reported: 2015-10-27 10:12 EDT by Paul Wouters
Modified: 2017-10-10 05:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (pwouters)


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2015-10-27 10:12:32 EDT
force libreswan to set a maxbytes of 2^32 for 3DES IPsec SA's

this is a security requirement for FIPS (and wise to do outside of FIPS too)
Comment 2 Paul Wouters 2016-03-07 10:02:58 EST
You can't really test this unless you leave two machines connected by 10Gbps running for a number of hours.

Once we implement this, we will add an --impair-XXX option that skews the received/sent packets to neat that maximum for testing.

Note You need to log in before you can comment on or make changes to this bug.